Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Reactor.h File Reference

`#include "ace/Timer_Queuefwd.h"`
`#include "ace/Reactor_Timer_Interface.h"`
`#include "ace/Event_Handler.h"`
`#include "ace/Reactor.i"`

Include dependency graph for Reactor.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Reactor
| The responsibility of this class is to forward all methods to its delegation/implementation class, e.g., <ACE_Select_Reactor> or <ACE_WFMO_Reactor>. More...

## Detailed Description

Id:
  Reactor.h,v 4.93 2003/11/04 23:34:49 ossama Exp

Author:
  Irfan Pyarali <irfan@cs.wustl.edu> , Douglas C. Schmidt <schmidt@cs.wustl.edu>